//! `SeaORM` Entity, @generated by sea-orm-codegen 1.1.0

use sea_orm::entity::prelude::*;

#[derive(Debug, Clone, PartialEq, Eq, EnumIter, DeriveActiveEnum)]
#[sea_orm(rs_type = "String", db_type = "Enum", enum_name = "acmeprovider")]
pub enum AcmeProvider {
    #[sea_orm(string_value = "BUY_PASS")]
    BuyPass,
    #[sea_orm(string_value = "LETS_ENCRYPT")]
    LetsEncrypt,
}
#[derive(Debug, Clone, PartialEq, Eq, EnumIter, DeriveActiveEnum)]
#[sea_orm(rs_type = "String", db_type = "Enum", enum_name = "dnsprovider")]
pub enum DnsProvider {
    #[sea_orm(string_value = "CLOUDFLARE")]
    Cloudflare,
    #[sea_orm(string_value = "NIRVATI_ME")]
    NirvatiMe,
    #[sea_orm(string_value = "NONE")]
    None,
}
#[derive(Debug, Clone, PartialEq, Eq, EnumIter, DeriveActiveEnum)]
#[sea_orm(rs_type = "String", db_type = "Enum", enum_name = "domaintype")]
pub enum DomainType {
    #[sea_orm(string_value = "HTTP")]
    Http,
    #[sea_orm(string_value = "HTTPS")]
    Https,
    #[sea_orm(string_value = "ONION")]
    Onion,
    #[sea_orm(string_value = "TCP")]
    Tcp,
}
#[derive(Debug, Clone, PartialEq, Eq, EnumIter, DeriveActiveEnum)]
#[sea_orm(rs_type = "String", db_type = "Enum", enum_name = "protocol")]
pub enum Protocol {
    #[sea_orm(string_value = "HTTP")]
    Http,
    #[sea_orm(string_value = "HTTPS")]
    Https,
}
#[derive(Debug, Clone, PartialEq, Eq, EnumIter, DeriveActiveEnum)]
#[sea_orm(rs_type = "String", db_type = "Enum", enum_name = "upstreamtype")]
pub enum UpstreamType {
    #[sea_orm(string_value = "DNS")]
    Dns,
    #[sea_orm(string_value = "IP")]
    Ip,
}
